```
def field_coefficients(field_value, c_0_coefficients,kappa_matrix, gamma_matrix ):
    '''generate array of $c_n(B)$ coefficients for R(T) and T(R) '''
 
    # make a copy of the coefficients so as not to change the original
    c_array = c_0_coefficients.copy()
    
    # create the field arrays (1, B, B**2, ....)
     B_kappa = field_array(field_value, kappa_matrix)
     B_gamma = field_array(field_value, gamma_matrix)
    
    numerator_array = np.matmul(kappa_matrix, B_kappa)
    # matrix multiplication of P X 1 matrix (1, B, ...,B**P) 
    # by N x P matrix (kappa) 
    # yields a N x 1 matrix (1D array)
    
    denominator_array = np.matmul(gamma_matrix, B_gamma)
    # matrix multiplication of Q X 1 matrix (1, B, ...,B**Q) 
    # by N x Q matrix (gamma) 
    # yields a N x 1 matrix (1D array)
    
    y_array = numerator_array / denominator_array 
    # reminder: array division is element by element
    
    z_array = 1 + y_array
    # reminder: here 1 is treated as an array of ones of length y_array 
    
    c_array = c_0_coefficients * z_array
    # reminder: 1D array multiplication is element by element. 
    # This is not the dot product np.dot
        
    return c_array
```